commit:     c6e595bda53b127db52c02f35d7c9784cb99ff2a
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Jul 30 05:29:09 2019 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Jul 30 05:29:09 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c6e595bd

dev-python/dnspython: EAPI 7 and cleanup

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/dnspython/dnspython-1.16.0.ebuild | 8 +++-----
 1 file changed, 3 insertions(+), 5 deletions(-)

diff --git a/dev-python/dnspython/dnspython-1.16.0.ebuild 
b/dev-python/dnspython/dnspython-1.16.0.ebuild
index 5f23e5d067a..1f8c7e41ec8 100644
--- a/dev-python/dnspython/dnspython-1.16.0.ebuild
+++ b/dev-python/dnspython/dnspython-1.16.0.ebuild
@@ -1,7 +1,7 @@
 # Copyright 1999-2019 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
+EAPI=7
 
 PYTHON_COMPAT=( python2_7 python3_{5,6,7} )
 
@@ -15,6 +15,7 @@ LICENSE="ISC"
 SLOT="0"
 KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc 
~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-solaris"
 IUSE="examples test"
+RESTRICT="!test? ( test )"
 
 RDEPEND="dev-python/pycryptodome[${PYTHON_USEDEP}]
        >=dev-python/ecdsa-0.13[${PYTHON_USEDEP}]
@@ -23,12 +24,9 @@ RDEPEND="dev-python/pycryptodome[${PYTHON_USEDEP}]
        !dev-python/dnspython:py3"
 DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
 
-# For testsuite
-DISTUTILS_IN_SOURCE_BUILD=1
-
 python_test() {
        cd tests || die
-       "${PYTHON}" utest.py || die "tests failed under ${EPYTHON}"
+       "${EPYTHON}" utest.py || die "tests failed under ${EPYTHON}"
        einfo "Testsuite passed under ${EPYTHON}"
 }
 

Reply via email to